Tiny Core Extensions > TCE Q&A Forum

PHP5 pdo_sqlite.so version

(1/1)

b1ackmai1er:
Hi,

I am trying to install nginx and fastcgi with the php5 pdo_sqlite.so extension.

However I get the the following error:

PHP Warning: PHP Startup: Unable to load dynamic library '/usr/local/lib/php/extensions/no-debug-non-zts-20090626/pdo_sqlite.so' - /usr/local/lib/php/extensions/no-debug-non-zts-20090626/pdo_sqlite.so: undefined symbol: sqlite3_libversion in Unknown on line 0

I was wondering if the pdo_sqlite.so version was wrong?

phpinfo reports

SQLITE
SQLite support enabled
PECL Module version 2.0-dev $Id: sqlite.c 306939 2011-01-01 02:19:59Z felipe $
SQLite Library 2.8.17
SQLite Encoding iso8859

PDO
PDO support enabled
PDO drivers odbc, sqlite2

So I am a bit confused :(

Could anyone suggest anything?

Navigation

[0] Message Index

Go to full version